Arch Bewehrungsstab U-förmig

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar UShape and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Arch Rebar UShape.svg Arch Bewehrungsstab U-förmig

Menüeintrag
Arch → Rebar tools → Straight Rebar oder 3D/BIM → Reinforcement tools → Gerade Bewehrung
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Verstärkung, Bewehrungsstab,L-förmiger Bewehrungsstab

Beschreibung

Das U-förmiger Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von U-förmigen Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

Das Arch Rebar UShape.svgBewehrungsstab U-förmig-Werkzeug ist auch in den BIM Arbeitsbereich integriert.

Dieser Befehl ist Teil der BewehrungsErweiterung, eines externen Arbeitsbereichs, der mit dem AddonManager.svg Erweiterungsverwalter über das Werkzeuge → Erweiterungsverwalter → Bewehrung-Menü installiert werden kann.

Arch Rebar UShape example.png

Zwei Sätze von U-förmigen Bewehrungsstäben in einer Struktur

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar UShape.svg U-förmiger Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Fülle die Werte wie 'Left Cover' (linke Fläche), 'Right Cover' (rechte), 'Top Cover' (obere), 'Bottom Cover' (untere), 'Front Cover' (vordere), 'Bent Angle' (Biegungswinkel), 'Bent Factor', 'Rounding' und 'Diameter' (Durchmesser) des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder 'Amount' (Menge) oder 'Spacing' (Abstand).
  7. Falls 'Spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle Pick selected face zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.
UShapeDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab U-förmig-Werkzeug

Eigenschaften

  • DatenOrientation: Legt die Ausrichtung der Bewehrungsstäbe fest ("Bottom Right", "Bottom Left", "Top Right" und "Top Left").
  • DatenFront Cover: Der Abstand zwischen Bewehrungsstab und gewählter Fläche.
  • DatenRight Cover: Der Abstand zwischen dem rechten Ende des Bewehrungsstabs bis zur rechten Fläche der Struktur.
  • DatenLeft Cover: Der Abstand zwischen dem linken Ende des Bewehrungsstabs bis zur linken Fläche der Struktur.
  • DatenBottom Cover: Der Abstand zwischen Bewehrungsstab bis zur unteren Fläche der Struktur.
  • DatenTop Cover: Der Abstand zwischen dem Bewehrungsstab bis zur oberen Fläche der Struktur.
  • DatenRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatenAmount: Die Anzahl der Bewehrungsstäbe.
  • DatenSpacing: Der Abstand zwischen den Achsen der Bewehrungsstäbe.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das U-förmiger Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Erstellt ein Rebar-Objekt aus der gegebenen structure, die eine Arch Struktur ist, und facename, die eine Fläche dieser Struktur ist.
    • Falls weder structure noch facename gegeben sind, wird die vom Benutzer gewählte Fläche als Eingabe genommen.
  • f_cover, b_cover, l_cover, r_cover, und t_cover sind innere Abstände von den Bewehrungsstabelementen zu den Flächen der Struktur. Dies sind entsprechend die vorderen, unteren, linken, rechten und oberen Abstände.
  • diameter ist der Durchmesser der Verstärkungsstäbe innerhalb der Struktur.
  • rounding ist der Parameter, der den Biegeradius der Verstärkungsstäbe angibt.
  • amount_spacing_check Falls True werden so viele Bewehrungsstäbe erstellt, wie unter amount_spacing_value angegeben; falls False werden die Bewehrungsstäbe im Abstand von amount_spacing_value erstellt.
  • amount_spacing_value gibt die Anzahl von Bewehrungsstäben an oder den Abstandswert, abhängig von amount_spacing_check.
  • orientation gibt die Ausrichtung der Bewehrung an; möglich sind "Bottom" (unten), "Top" (oben), "Right" (rechts) oder "Left" (links).

Beispiel

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes UShapeRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeUShapeRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")